/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/AEOPTION.CPP   1.2.1.5   17 Apr 1997 15:41:04   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/AEOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:04   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:11:18   ZJRD
** 2.09F
** 
****************************************************************************/

// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "uicom.h"

#include "toolopt.h"
#include "ae.h"
#include "aeoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AEOption dialog


AEOption::AEOption(AETool *pTool /*=NULL*/)
    : CPropertyPage(AEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(AEOption)
   
    //}}AFX_DATA_INIT
}

void AEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(AEOption)
    DDX_Text(pDX, IDC_AEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_AEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// AEOption message handlers
  void AEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strProg.TrimLeft();
    m_strProg.TrimRight();
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void AEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(AEOption, CPropertyPage)
    //{{AFX_MSG_MAP(AEOption)
	ON_BN_CLICKED(IDC_AEOPT_BROWSE, OnAeoptBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

	 static char BASED_CODE szFilter[] = 
    "Excutable (*.exe)|*.exe|Command (*.com)|*.com|All Files (*.*)|*.*||";

void AEOption::OnAeoptBrowse()
{
    // TODO: Add your control notification handler code here
   
    CFileDialog dlg(TRUE, NULL, "*.exe", 
        OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, szFilter, this);
    
    dlg.SetHelpID(IDD_IDEOPEN);
    dlg.m_ofn.lpstrTitle = "Browse";
    if(dlg.DoModal() == IDOK) {
        m_strPath = dlg.GetPathName();
        UpdateData(FALSE);
    }
}

	

